# Class TelemetryFrontendLog

java.lang.Object
com.databricks.jdbc.model.telemetry.TelemetryFrontendLog

public class TelemetryFrontendLog extends Object

## Constructor Summary

Constructors
Constructor
Description
`TelemetryFrontendLog()`

## Method Summary

Modifier and Type
Method
Description
`FrontendLogContext`
`getContext()`
`FrontendLogEntry`
`getEntry()`
`String`
`getFrontendLogEventId()`
`Long`
`getWorkspaceId()`
`TelemetryFrontendLog`
`setContext(FrontendLogContext context)`
`TelemetryFrontendLog`
`setEntry(FrontendLogEntry entry)`
`TelemetryFrontendLog`
`setFrontendLogEventId(String frontendLogEventId)`
`TelemetryFrontendLog`
`setWorkspaceId(Long workspaceId)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TelemetryFrontendLog

public TelemetryFrontendLog()

## Method Details

### getWorkspaceId

public Long getWorkspaceId()

### setWorkspaceId

public TelemetryFrontendLog setWorkspaceId(Long workspaceId)

### getFrontendLogEventId

public String getFrontendLogEventId()

### setFrontendLogEventId

public TelemetryFrontendLog setFrontendLogEventId(String frontendLogEventId)

### getContext

public FrontendLogContext getContext()

### setContext

public TelemetryFrontendLog setContext(FrontendLogContext context)

### getEntry

public FrontendLogEntry getEntry()

### setEntry

public TelemetryFrontendLog setEntry(FrontendLogEntry entry)

### toString

public String toString()

Overrides:
  `toString` in class `Object`